
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.BI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 教育模块统计
    /// </summary>
    [Description("教育模块统计")]
    public class T_BI_CLOSE_TASKS : MesEntityBase
    {
        [Description("申请部门")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string DEPARTMENT_NAME { get; set; }
        [Description("申请人")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string USER_NAME { get; set; }
        [Description("待关闭待办ID")]
        [DataFieldLength(5000)]
        public string TASK_IDS { get; set; }
        [Description("待关闭待办")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(5000)]
        public string TASK_NAMES { get; set; }
        [Description("审核人")]
        public Guid AUDIT_USER_ID { get; set; }
        [Description("审核人姓名")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string AUDIT_USER_NAME { get; set; }
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
        [Description("审核意见")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string OPINION { get; set; }
    }
}
